Bug 140826 - Fileopen generated DOCX: Bad table structure and widths (OK if resaved in MSO)
Summary: Fileopen generated DOCX: Bad table structure and widths (OK if resaved in MSO)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected
Depends on:
Blocks: DOCX-Tables MSO-External-Producers
  Show dependency treegraph
 
Reported: 2021-03-05 15:22 UTC by Jan Chroust
Modified: 2021-07-25 01:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
web app generated docx document with table (1.94 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-03-05 15:24 UTC, Jan Chroust
Details
Bad view of table in writer (54.71 KB, image/png)
2021-03-05 15:25 UTC, Jan Chroust
Details
Correct view in MS Word 2019 (29.95 KB, image/png)
2021-03-05 15:27 UTC, Jan Chroust
Details
Trimmed down version (28.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-03-06 07:58 UTC, Telesto
Details
Trimmed down version resaved in MSO as compatible (33.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-03-06 13:29 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chroust 2021-03-05 15:22:02 UTC
Description:
I have a docx document generated from some web app. In previous version of writer 7.1 crashed when I opened the document (bug 140137 - resolved in version 7.2). Now it is OK to open it, but one of tables in document has a bad view (aganist view in MS Ofice). Maybe is a bug on web app which was generated the document, but why MS Word open it correctly?. 
There is probably problem with merged cells on rows from 6 to 11. In these rows it should be merged columns from 1 to 11 and the last column should be separately. Like in the view in MS Word 2019.
Screenshots of bad view od table in Writer and correct view of table in MS Word 2019 are in attachments.

Steps to Reproduce:
1. Open the document
2. Go to the page 8
3. See the table

Actual Results:
Bad view of the table

Expected Results:
Correct view of table


Reproducible: Always


User Profile Reset: No



Additional Info:
Correct view of table
Comment 1 Jan Chroust 2021-03-05 15:24:19 UTC
Created attachment 170247 [details]
web app generated docx document with table
Comment 2 Jan Chroust 2021-03-05 15:25:00 UTC
Created attachment 170248 [details]
Bad view of table in writer
Comment 3 Jan Chroust 2021-03-05 15:27:30 UTC
Created attachment 170249 [details]
Correct view in MS Word 2019
Comment 4 Telesto 2021-03-05 16:24:47 UTC
Repro with
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 722ec600e85cca2e94e82e69f8d13773061172b9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL

File doesn't open with
Versie: 6.0.4.1
Build ID: a63363f6506b8bdc5222481ce79ef33b2d13c741
CPU-threads: 4; Besturingssysteem: Windows 6.3; UI-render: GL; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Telesto 2021-03-06 07:58:58 UTC
Created attachment 170265 [details]
Trimmed down version
Comment 6 Telesto 2021-03-06 08:01:06 UTC
Also in
Versie: 4.1.0.4 
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28

Broken differently in
4.0

Adding bibisectrequest to figure out who and how the - overall - improvement change is made
Comment 7 Timur 2021-03-06 13:29:41 UTC Comment hidden (obsolete)
Comment 8 Timur 2021-03-06 16:04:46 UTC Comment hidden (obsolete)
Comment 9 Timur 2021-03-16 14:40:42 UTC
Original attachment 170247 [details] is 19 pages in MSO. Trouble table is page 8. 
Trimmed down (wasn't explain how but seems correctly) attachment 170265 [details] is 3 pages, same table at page 3. Lo opens 2 pages, no table.

Note: We have few bugs with generated content (always search before submitting) where they are usually not fully in standard, but MSO still reads them.

If document is resaved in MSO, both compatible or new, LO opens it properly. Here I attached compatible one from MSO as attachment 170270 [details].

I bibisected improvement in 41 and got "Drop redundant typedef" by S. Bergmann. So that's of no help.
Comment 10 NISZ LibreOffice Team 2021-07-22 08:54:21 UTC
Original document claims to be from 
<Application>Microsoft Office Word</Application>
and 2007.

Reduced version is from 
<ap:Application>Microsoft Word for the web</ap:Application>
and 2016.